0

In Rstudio one can use library manipulate to interactively change the plot over some parameters(mu). When you use this in emacs ESS it gives error:

function(mu){
plot(mu)
}
manipulate(myfunc(mu),mu = slider(1,100,step=0.5))

Error

Error in manipulate(myfunc(mu), mu = slider(1, 100, step = 0.5)) : 
The manipulate package must be run from within RStudio

Is there a way around to get this library to work in ESS EMACS? Please help! Thanks! I searched on google but there is not one article related to this!

P.S I have Emacs 24 on ubuntu 16, I have some basic experience with init.el files where I customize by taking code from around the internet.

  • Well, it is designed to work within RStudio. This is what the Error is aying and also the manual. I guess ESS will run everything that would work from the terminal but this is not the case here. – andrej Apr 14 at 10:18
  • Right! is there anything I can do to make something "similar" work? @andrej within the emacs ESS of course! – Thej Kiran Apr 14 at 10:44
  • 1
    I'm not aware of such a package for ESS. Maybe someone else knows better. See also stackoverflow.com/questions/23597415/… – andrej Apr 14 at 11:02
  • Checked it. Sounds way too compliated! Thanks! – Thej Kiran Apr 14 at 19:06

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.